#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_bin_1 = require("./index-bin");
(0, index_bin_1.main)(process.cwd(), process.argv.slice(2))
    .then(() => process.exit(0))
    .catch($ => {
    if (process.argv.includes('--debug')) {
        console.error($);
    }
    else {
        console.error($.toString());
    }
    process.exit(1);
});
process.on('unhandledRejection', e => {
    throw e;
});
//# sourceMappingURL=bin.js.map