/**
 * I needed a markdown parser that could be translated to Lys.
 * So I built this markdown parser. It is actually a subset of it.
 */
export declare type Header = {
    type: 'header';
    text: string | null;
};
export declare type FileBlock = {
    type: 'file';
    codeBlock: CodeBlock;
    fileName: Title;
};
export declare type CodeBlock = {
    type: 'code';
    language: string;
    text: string | null;
};
export declare type Title = {
    type: 'title';
    level: number;
    text: string;
};
export declare type RawText = {
    type: 'text';
    text: string;
};
export declare type Content = Header | FileBlock | CodeBlock | Title | RawText;
export declare function parseMD(document: string): Content[];
