export declare class StringCodeWriter {
    indentSpaces: number;
    private _indent;
    private _content;
    private _newLineCallBacks;
    constructor(indentSpaces?: number);
    println(code?: string): StringCodeWriter;
    indent(): StringCodeWriter;
    printSpace(code?: string): StringCodeWriter;
    printIndent(): StringCodeWriter;
    print(code: string): StringCodeWriter;
    printQuoted(text: string): StringCodeWriter;
    printForeachWithSeparator<A>(separator: string, elements: A[], code: (a: A) => void): StringCodeWriter;
    dedent(): StringCodeWriter;
    onNewLine(callback: (a: StringCodeWriter) => void): this;
    hasNewLineListener(): boolean;
    codeContent(): string;
    toString(): string;
    private append;
    private callNewLineCallbacks;
}
