"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatColorAndReset = exports.resetEscapeSequence = exports.gutterSeparator = exports.gutterStyleSequence = exports.ForegroundColors = void 0;
var ForegroundColors;
(function (ForegroundColors) {
    ForegroundColors["Grey"] = "\u001B[90m";
    ForegroundColors["Red"] = "\u001B[91m";
    ForegroundColors["Green"] = "\u001B[92m";
    ForegroundColors["ErrorLine"] = "\u001B[41m";
    ForegroundColors["Yellow"] = "\u001B[93m";
    ForegroundColors["Blue"] = "\u001B[94m";
    ForegroundColors["Cyan"] = "\u001B[96m";
})(ForegroundColors = exports.ForegroundColors || (exports.ForegroundColors = {}));
exports.gutterStyleSequence = '\u001b[36m';
exports.gutterSeparator = '│ ';
exports.resetEscapeSequence = '\u001b[0m';
function formatColorAndReset(text, formatStyle) {
    return formatStyle + text + exports.resetEscapeSequence;
}
exports.formatColorAndReset = formatColorAndReset;
//# sourceMappingURL=colors.js.map