"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printScopes = void 0;
const nodes_1 = require("../compiler/nodes");
function printScopes(parsingContext) {
    const ret = [];
    parsingContext.modulesInContext.forEach($ => {
        if ($.scope) {
            ret.push($.moduleName + ' Next Phase: ' + nodes_1.PhaseFlags[$.analysis.nextPhase]);
            ret.push($.scope.inspect());
        }
    });
    return ret.join('\n');
}
exports.printScopes = printScopes;
//# sourceMappingURL=scopePrinter.js.map